export type SupportEncodeValue = string | number | boolean | undefined | null;
export type SupportEncodeObject = Record<string, object | SupportEncodeValue>;
export interface Options {
    charset?: string;
    maxKeys?: number;
}
export declare function encode(str: string, charset?: string | null): string;
export default encode;
export declare function decode(str: string, charset?: string | null): string;
export declare function parse(qs: string, options?: Options): SupportEncodeObject;
export declare function parse(qs: string, sep?: string, eq?: string, options?: Options): SupportEncodeObject;
export declare function stringify(obj: object | SupportEncodeValue, prefix?: string): string;
export declare function stringify(obj: object | SupportEncodeValue, options?: Options): string;
export declare function stringify(obj: object | SupportEncodeValue, prefix?: string, options?: Options): string;
